## ros-kinetic-ifopt 2.0.7

=== ifopt_snopt/CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
find_package(SNOPT REQUIRED)

###########
## Build ##
###########
set(LIB_SNOPT ifopt_snopt)
add_library(${LIB_SNOPT} SHARED
  src/snopt_adapter.cc
  src/snopt_solver.cc
)
target_include_directories(${LIB_SNOPT} 
  PUBLIC 
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
  PRIVATE
    ${SNOPT_INCLUDE_DIRS}
)
target_link_libraries(${LIB_SNOPT} 
  PUBLIC
    ${LIB_CORE}
  PRIVATE  
    ${SNOPT_LIBRARIES}
)
if(${SNOPT_v76})
  message(STATUS "compiling for snopt version >= 7.6")
  target_compile_definitions(${LIB_SNOPT} 
    PRIVATE
      -DSNOPT76
  )
endif()


#############
## Testing ##
#############
add_executable(${LIB_SNOPT}-example test/ex_test_snopt.cc)
target_link_libraries(${LIB_SNOPT}-example 
  PRIVATE 
    ${LIB_SNOPT}
)
add_test(${LIB_SNOPT}-example ${LIB_SNOPT}-example)


#############
## Install ##
#############
 # Copy library files to usr/local/lib/libifopt_snopt.so
install(
  TARGETS ${LIB_SNOPT} ${LIB_SNOPT}-example
  EXPORT ${LIB_SNOPT}-targets
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${IFOPT_INSTALL_BINDIR}
)
# Copy header files to usr/local/include/ifopt/*
install(DIRECTORY include/ifopt/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ifopt
)
# Generate the find scripts
install(EXPORT ${LIB_SNOPT}-targets
  FILE ${LIB_SNOPT}-targets.cmake
  NAMESPACE ifopt::
  DESTINATION ${config_package_location}
)

=== debian/changelog ===
ros-kinetic-ifopt (2.0.7-1xenial) xenial; urgency=high

  * Create function to get the time statistics and the return code from the optimization solver. (#40 <https://github.com/ethz-adrl/ifopt/issues/40>)
  * Contributors: viviansuzano

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kinetic-ifopt (2.0.6-1xenial) xenial; urgency=high

  * Enable problems without constraints: Fix issue (#34 <https://github.com/ethz-adrl/ifopt/issues/34> , #35 <https://github.com/ethz-adrl/ifopt/issues/35>)
  * Fix/segfaults (#33 <https://github.com/ethz-adrl/ifopt/issues/33>)
  * Contributors: Wolfgang Merkt, viviansuzano

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-kinetic-ifopt (2.0.5-1xenial) xenial; urgency=high

  * set default print level to 4 to show derivative test errors.
  * Improve print-out of cost terms (specifically print cost)
  * Improve docs (#27 <https://github.com/ethz-adrl/ifopt/issues/27>)
  * Implemented more efficient method for building constraint jacobian (#26 <https://github.com/ethz-adrl/ifopt/issues/26>)
  * Contributors: Alexander Winkler, fbiemueller

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sun, 29 Jul 2018 22:00:00 -0000

ros-kinetic-ifopt (2.0.4-1xenial) xenial; urgency=high

  * generalize ipopt solver interface, so source never has to be touched.
  * Fix/simplify image path in doxygen.
  * Simplify and generalize testing procedure (#25 <https://github.com/ethz-adrl/ifopt/issues/25>)
  * have cmake fail if IPOPT version <3.11.9
  * Install binaries to /lib/ifopt, just as catkin does.
  * Update README.md to always use make test for testing.
  * Improve doxygen (#22 <https://github.com/ethz-adrl/ifopt/issues/22>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 16 Jul 2018 22:00:00 -0000

ros-kinetic-ifopt (2.0.3-1xenial) xenial; urgency=high

  * Add codefactor integration and contributing guidelines
  * display indices more precisely in printout
  * remove rsl jekins, use ros build farm
  * remove warning from version number
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 09 Jul 2018 22:00:00 -0000

ros-kinetic-ifopt (2.0.2-1xenial) xenial; urgency=high

  * fully remove catkin dependency
  * increase cmake project version number manually
  * DRY in cmake list (reuse ${LIB_CORE})
  * Update README.md
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 01 Jul 2018 22:00:00 -0000

ros-kinetic-ifopt (2.0.1-1xenial) xenial; urgency=high

  * make IPOPT the default ON solver option
  * Add documentation and update package.xml to use ubuntu ipopt install coinor-libipopt-dev
  * Use FindIpopt.cmake (from robotology/idyntree)
  * Set default solver to mumps, as this is free one installed in ubuntu
  * Define SNOPT/IPOPT location also through environmental variable
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 29 Jun 2018 22:00:00 -0000

ros-kinetic-ifopt (2.0.0-1xenial) xenial; urgency=high

  * allow building with pure cmake (catkin optional) (#13 <https://github.com/ethz-adrl/ifopt/issues/13>)
  * generate ifopt-config.cmake to easily include in other cmake projects (#13 <https://github.com/ethz-adrl/ifopt/issues/13>)
  * implement pimpl idiom to avoid exporting IPOPT/SNOPT libraries/headers (#12 <https://github.com/ethz-adrl/ifopt/issues/12>)
  * Add possibility to set solver options (e.g. "ma27") on user side
  * Clean-up and improve printouts
  * Reduce to one single catkin package with solvers as cmake subdirectories
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sat, 23 Jun 2018 22:00:00 -0000

ros-kinetic-ifopt (1.0.2-1xenial) xenial; urgency=high

  * add correct catkin install folder for ifopt_core
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 04 Feb 2018 23:00:00 -0000

ros-kinetic-ifopt (1.0.1-1xenial) xenial; urgency=high

  * update package xml
  * make eigen 3.2 compatible (remove header Eigen/Eigen)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 28 Jan 2018 23:00:00 -0000

ros-kinetic-ifopt (1.0.0-1xenial) xenial; urgency=high

  * move IPOPT and SNOPT interfaces to separate package
  * add ifopt metapackage for documentation
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 26 Jan 2018 23:00:00 -0000

ros-kinetic-ifopt (0.0.2-1xenial) xenial; urgency=high

  * added more explanatory message in package.xml
  * added documentations badge
  * fixed bounds in example problem
  * moved CI to ros buildfarm.
  * generate tests also with catkin if installed
  * Fixed compiler warnings.
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 03 Jan 2018 23:00:00 -0000

ros-kinetic-ifopt (0.0.1-1xenial) xenial; urgency=high

  * improve doxygen documentation
  * removed linear and soft constraint
  * add more unit tests
  * added logo
  * Create LICENSE
  * added first version of readme
  * remove dependency of constraints/cost on optimization variables
  * simplified user interface.
  * make project catkin independent
  * renamed repo to ifopt
  * added ipopt linear solver types url
  * opt_solve: add test infrastructure
  * add documentation to core classes
  * xpp_solve: add copyright boilerplate
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 14 Dec 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ifopt
Section: misc
Priority: optional
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, coinor-libipopt-dev, libeigen3-dev
Homepage: https://github.com/ethz-adrl/ifopt
Standards-Version: 3.9.2

Package: ros-kinetic-ifopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt-dev, libeigen3-dev, ros-kinetic-catkin
Description: An Eigen- based interface to Nonlinear Programming solver Ipopt.
 Inuitive and efficient C++ implementation of variables, costs and constraints using Eigen. Easy integration in your projects in catkin or pure cmake.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ifopt//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
